# Copyright 2025 Wong Hoi Sing Edison <hswong3i@pantarei-design.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

%global debug_package %{nil}

%global source_date_epoch_from_changelog 0

Name: python-aiosignal
Epoch: 100
Version: 1.4.0
Release: 1%{?dist}
BuildArch: noarch
Summary: Manage callbacks in asyncio projects
License: Apache-2.0
URL: https://github.com/aio-libs/aiosignal/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-pip

%description
Signal is a list of registered asynchronous callbacks.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
pip wheel \
    --no-deps \
    --no-build-isolation \
    --wheel-dir=dist \
    .

%install
pip install \
    --no-deps \
    --ignore-installed \
    --root=%{buildroot} \
    --prefix=%{_prefix} \
    dist/*.whl
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
fdupes -qnrps %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-aiosignal
Summary: Manage callbacks in asyncio projects
Requires: python3
Requires: python3-frozenlist >= 1.1.0
Requires: python3-typing-extensions >= 4.2
Provides: python3-aiosignal = %{epoch}:%{version}-%{release}
Provides: python3dist(aiosignal) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-aiosignal = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(aiosignal) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-aiosignal = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(aiosignal) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-aiosignal
Signal is a list of registered asynchronous callbacks.

%files -n python%{python3_version_nodots}-aiosignal
%license LICENSE
%{python3_sitelib}/*
%endif

%if !(0%{?suse_version} > 1500)
%package -n python3-aiosignal
Summary: Manage callbacks in asyncio projects
Requires: python3
Requires: python3-frozenlist >= 1.1.0
Requires: python3-typing-extensions >= 4.2
Provides: python3-aiosignal = %{epoch}:%{version}-%{release}
Provides: python3dist(aiosignal) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-aiosignal = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(aiosignal) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-aiosignal = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(aiosignal) = %{epoch}:%{version}-%{release}

%description -n python3-aiosignal
Signal is a list of registered asynchronous callbacks.

%files -n python3-aiosignal
%license LICENSE
%{python3_sitelib}/*
%endif

%changelog
